darcs

Issue 851 darcs whatsnew --interactive

Title darcs whatsnew --interactive
Priority wishlist Status resolved
Milestone Resolved in
Superseder Nosy List DaniilFrumin, darcs-devel, dmitry.kurochkin, galbolle, jaredj, kowey, markstos, mndrix, mornfall, thorkilnaur, tommy
Assigned To DaniilFrumin
Topics ProbablyEasy, UI

Created on 2008-05-14.21:35:58 by zooko, last changed 2014-02-08.06:40:31 by DaniilFrumin.

Files
File name Uploaded Type Edit Remove
issue851.dpatch DaniilFrumin, 2014-02-04.07:55:12 application/octet-stream
Messages
msg5449 (view) Author: markstos Date: 2008-08-13.00:59:10
It's not clear to me what "darcs whatsnew -i" would do. Clearly spelling out the
spec for it will make it easier for someone to implement.
msg8289 (view) Author: kowey Date: 2009-08-19.11:42:48
Presumably Zooko wants something that lets users step through primitive patches
in the same way record -i does.

I can only imagine these commands right now:

  s: skip changes to this file

  v: view this change in full
  p: view this change in full with pager
  x: view a summary of this change

  q: quit whatsnew

  j: skip to next change
  k: back up to previous change

I guess whoever decides to implement this can work out the UI
msg10352 (view) Author: mornfall Date: 2010-03-21.11:04:50
Agreed. : - ) I would like that. (And I agree with ProbablyEasy, too.)
msg12286 (view) Author: bfr Date: 2010-08-24.13:27:17
I missed this feature just now, so here is my +1.
msg17146 (view) Author: DaniilFrumin Date: 2014-01-26.19:59:13
I am working on this atm. Right now I think I got most of the machinery
in place.

I have a UI question though, 
how do you see the prompt? Should it display a hunk and display a hunk
in a context when the user presses 'y'?

And, Eric, what do you mean by a "summary of this change"?
msg17158 (view) Author: DaniilFrumin Date: 2014-02-04.07:08:28
I've pushed the necessary patches to my darcshub mirror:

- http://hub.darcs.net/co-dan/darcs-screened/patch/20140203213836-e7f45
- http://hub.darcs.net/co-dan/darcs-screened/patch/20140204070539-e7f45
msg17159 (view) Author: DaniilFrumin Date: 2014-02-04.07:55:12
Sorry everyone, I changed the patches a little bit. The newest version
can be found at the darcsden:
http://hub.darcs.net/co-dan/darcs-screened/changes

I also sent a patch bundle via `darcs send'
Attachments
msg17164 (view) Author: DaniilFrumin Date: 2014-02-08.06:40:30
The changes have been merged into -screened
History
Date User Action Args
2008-05-14 21:35:59zookocreate
2008-05-15 12:07:33koweylinkissue852 superseder
2008-05-15 12:08:05koweysetpriority: wishlist
nosy: + kowey, jaredj
topic: + ProbablyEasy
2008-08-13 00:59:13markstossetstatus: unread -> unknown
nosy: + markstos
messages: + msg5449
2009-08-06 21:04:44adminsetnosy: + dmitry.kurochkin, simon, thorkilnaur, - beschmi
2009-08-11 00:13:34adminsetnosy: - dagit
2009-08-19 11:42:50koweysetstatus: unknown -> needs-implementation
nosy: tommy, kowey, markstos, simon, thorkilnaur, jaredj, dmitry.kurochkin
messages: + msg8289
title: I wish for "darcs whatsnew -i" -> darcs whatsnew -i
2009-08-25 18:10:52adminsetnosy: + darcs-devel, - simon
2009-08-27 14:28:08adminsetnosy: tommy, kowey, markstos, darcs-devel, thorkilnaur, jaredj, dmitry.kurochkin
2009-09-15 14:32:07koweylinkissue1614 superseder
2009-09-15 14:32:40koweysettopic: + UI
nosy: + galbolle
2009-09-15 14:32:56koweysetnosy: tommy, kowey, markstos, darcs-devel, thorkilnaur, jaredj, dmitry.kurochkin, galbolle
title: darcs whatsnew -i -> darcs whatsnew --interactive
2010-03-21 11:04:56mornfallsetnosy: + mornfall
messages: + msg10352
2010-08-24 13:27:18bfrsetmessages: + msg12286
2012-02-24 05:44:59mndrixsetnosy: + mndrix
2012-03-09 20:26:12mndrixsetnosy: tommy, kowey, markstos, darcs-devel, thorkilnaur, jaredj, dmitry.kurochkin, mornfall, galbolle, mndrix
2014-01-26 15:52:18DaniilFruminsetnosy: + DaniilFrumin
2014-01-26 15:57:28DaniilFruminsetassignedto: DaniilFrumin
2014-01-26 19:59:15DaniilFruminsetmessages: + msg17146
2014-02-04 07:08:29DaniilFruminsetstatus: needs-implementation -> has-patch
messages: + msg17158
2014-02-04 07:55:13DaniilFruminsetfiles: + issue851.dpatch
messages: + msg17159
2014-02-08 06:40:31DaniilFruminsetstatus: has-patch -> resolved
messages: + msg17164